# std::shared_lock::operator bool

From cppreference.com
< cpp‎ | thread‎ | shared lock

explicit operator bool() const; |  | (since C++14)

Checks whether *this owns a locked mutex or not. Effectively calls owns_lock().

### Parameters

(none)

### Return value

true if *this has an associated mutex and has acquired shared ownership of it, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### See also

owns_lock | tests whether the lock owns its associated mutex (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/operator_bool&oldid=91766"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template